Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class CachedSetInterceptor

    java.lang.Object
      org.jboss.cache.aop.CachedSetInterceptor

All Implemented Interfaces:
  CachedCollectionInterceptor, Collection, org.jboss.aop.advice.Interceptor, Set

public class CachedSetInterceptor
extends Object
implements Set, CachedCollectionInterceptor

Set interceptor to perform Set cache storage and retrieval

Author:
  Harald Gliebe, Ben Wang

Field Summary
`protected TreeCacheAop` | `cache`
`protected Fqn` | `fqn`
`protected static org.jboss.logging.Logger` | `log`
`protected static Map` | `managedMethods`
`protected Map` | `methodMap`

Constructor Summary
`CachedSetInterceptor(TreeCacheAop cache, Fqn fqn, Class clazz)`

Method Summary
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`boolean` | `equals(Object object)`
`String` | `getName()`
`protected Node` | `getNode()`
`int` | `hashCode()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`int` | `size()`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

### cache

    protected TreeCacheAop cache

### fqn

    protected Fqn fqn

### methodMap

    protected Map methodMap

### managedMethods

    protected static Map managedMethods

Constructor Detail

### CachedSetInterceptor

    public CachedSetInterceptor(TreeCacheAop cache,
                                Fqn fqn,
                                Class clazz)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### getNode

    protected Node getNode()

### size

    public int size()

  Specified by:
    `size` in interface `Set`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Set`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Set`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Set`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Set`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Set`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Set`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Set`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Set`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Set`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Set`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Set`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Set`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Set`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Set`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.